Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet.transformation
Class SimpleRegExUrlTransformation

    java.lang.Object
      UrlCompression
          com.bea.portlet.transformation.UrlTransformation
              com.bea.portlet.transformation.SimpleRegExUrlTransformation

    public class SimpleRegExUrlTransformation

extends UrlTransformation

Simple regex implementation to change the pageLabel and windowLabel parameters to a directory like structure.

Constructor Summary
`SimpleRegExUrlTransformation()`

Method Summary
`String` | `transformUrl(javax.servlet.http.HttpServletRequest request, String url)` Transform a fully qualified wlp url into a format that meets the requirements of the application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleRegExUrlTransformation

    public SimpleRegExUrlTransformation()

Method Detail

### transformUrl

    public String transformUrl(javax.servlet.http.HttpServletRequest request,
                               String url)
                        throws UrlTransformationException

  Transform a fully qualified wlp url into a format that meets the requirements of the application. In this example, it may turn the url from http://host:port/books/bookstore.portal?_nfpb=true&_pageLabel=horror&_windowLabel=stephen_king into http://host:port/books/page/horror/portlet/stepen_king?pageId=1234 .

  Specified by:
    `transformUrl` in class `UrlTransformation`
  Parameters
    `request` - object that contains the request the client made of the servlet
    `url` - the fully qualified wlp url.
  Returns
    the transformed url. It will look something like 'page/horror/portlet/stephen_king.This must be in a format that can be appended to the server/webapp info portion of the url and before the query string. An example may be something like '/books/horror/stephen_king'. Please note, there should be *no* appended '/'. Also, returning null is not valid.
  Throws
    `com.bea.portlet.transformation.UrlTransformationException` - wrapper exception for any exception that is raised.
    `UrlTransformationException` - wrapper exception for any exception that is raised.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.